TransportGlobalEndpointDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.endpoint.TransportGlobalEndpointDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific.endpoint
Class TransportGlobalEndpointDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
                      org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyDefinitionParser
                          org.mule.config.spring.parsers.specific.endpoint.support.AddressedEndpointDefinitionParser
                              org.mule.config.spring.parsers.specific.endpoint.TransportGlobalEndpointDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class TransportGlobalEndpointDefinitionParser

extends AddressedEndpointDefinitionParser

A parser for global endpoints. Note that the blocking of "ref" is left to the schema.

Field Summary

Fields inherited from class org.mule.config.spring.parsers.specific.endpoint.support.AddressedEndpointDefinitionParser
`logger, META, PROPERTIES, PROTOCOL, RESTRICTED_ENDPOINT_ATTRIBUTES`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`firstDefinition`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`TransportGlobalEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, Class clazz, String[] requiredAddressAttributes, String[] requiredProperties)`
`TransportGlobalEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, String[] requiredAddressAttributes)`
`TransportGlobalEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, String[] requiredAddressAttributes, String[] requiredProperties)`
`TransportGlobalEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, String[] endpointAttributes, String[][] requiredAddressAttributes, String[][] requiredProperties)`
`TransportGlobalEndpointDefinitionParser(String metaOrProtocol, boolean isMeta, String[] endpointAttributes, String[] addressAttributes, String[][] requiredAddressAttributes, String[][] requiredProperties)`
`TransportGlobalEndpointDefinitionParser(String protocol, String[] requiredAddressAttributes)`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyDefinitionParser
`addChildDelegate, addDelegate, addDelegateAsChild, doSingleBean`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`setReturnFirstResult`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
`addHandledException, disableAttribute, disableAttributes, disableAttributes, enableAttribute, enableAttributes, enableAttributes, enableAttributes, isExceptionHandled, muleParse, resetAttribute, resetNameAndId`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### TransportGlobalEndpointDefinitionParser

    public TransportGlobalEndpointDefinitionParser(String protocol,
                                                   String[] requiredAddressAttributes)

### TransportGlobalEndpointDefinitionParser

    public TransportGlobalEndpointDefinitionParser(String metaOrProtocol,
                                                   boolean isMeta,
                                                   String[] requiredAddressAttributes)

### TransportGlobalEndpointDefinitionParser

    public TransportGlobalEndpointDefinitionParser(String metaOrProtocol,
                                                   boolean isMeta,
                                                   String[] requiredAddressAttributes,
                                                   String[] requiredProperties)

Parameters:
  `metaOrProtocol` - The transport metaOrProtocol ("tcp" etc)
  `isMeta` - Whether transport is "meta" or not (eg cxf)
  `requiredAddressAttributes` - A list of attribute names that are required if "address" isn't present
  `requiredProperties` - A list of property names that are required if "address" isn't present

### TransportGlobalEndpointDefinitionParser

    public TransportGlobalEndpointDefinitionParser(String metaOrProtocol,
                                                   boolean isMeta,
                                                   Class clazz,
                                                   String[] requiredAddressAttributes,
                                                   String[] requiredProperties)

Parameters:
  `metaOrProtocol` - The transport metaOrProtocol ("tcp" etc)
  `isMeta` - Whether transport is "meta" or not (eg cxf)
  `requiredAddressAttributes` - A list of attribute names that are required if "address" isn't present
  `requiredProperties` - A list of property names that are required if "address" isn't present

### TransportGlobalEndpointDefinitionParser

    public TransportGlobalEndpointDefinitionParser(String metaOrProtocol,
                                                   boolean isMeta,
                                                   String[] endpointAttributes,
                                                   String[][] requiredAddressAttributes,
                                                   String[][] requiredProperties)

### TransportGlobalEndpointDefinitionParser

    public TransportGlobalEndpointDefinitionParser(String metaOrProtocol,
                                                   boolean isMeta,
                                                   String[] endpointAttributes,
                                                   String[] addressAttributes,
                                                   String[][] requiredAddressAttributes,
                                                   String[][] requiredProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.